Summary: A printed circuit board design tool for X.
Name: pcb
Version: 1.7.2
Release: 2
Group: Applications/Engineering
Copyright: GPL
Source: http://bach.ece.jhu.edu/~haceaton/pcb/pcb-wip.tgz
Patch0: pcb-1.6.3-glibc21.patch
Patch1: no-glossary.patch
Prereq: /sbin/install-info
Buildroot: /var/tmp/%{name}-root

%description
Pcb is an X Window System application for designing printed circuit
boards.  Pcb supports multiple layers and circuit libraries and can
support a resolution of 0.001 inch.


%prep
%setup -q
#%patch0 -p1 -b .glibc21
%patch1 -p1

%build
xmkmf -a
make -C doc
make -C src
make -i

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
make -C doc install.man DESTDIR=%{buildroot}
make -C doc install.info DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_infodir}

cp %{buildroot}/usr/info/* %{buildroot}%{_infodir}

%clean
rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/pcb.info.gz %{_infodir}/dir --entry="* pcb: (pcb).          A printed circuit board design tool."

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/pcb.info.gz %{_infodir}/dir --entry="* pcb: (pcb).          A printed circuit board design tool."
fi

%files
%defattr(-,root,root)
%doc README_FILES/* doc doc.ps example
/usr/X11R6/bin/pcb
/usr/X11R6/lib/X11/app-defaults/Pcb
/usr/X11R6/lib/X11/pcb
/usr/X11R6/man/*/*
%{_infodir}/*.info*

%changelog
* Wed Jan 31 2001 Tim Powers <timp@redhat.com>
- fixed build problems on Fisher

* Thu Jan 11 2001 Tim Powers <timp@redhat.com>
- updated to 1.7.2

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jun 21 2000 Tim Powers <timp@redhat.com>
- fixed infopage location to be FHS comliant

* Wed May 17 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0

* Wed Dec 15 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.2

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Tue Jul 20 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Thu Apr 29 1999 Jeff Johnson <jbj@redhat.com>
- rebuilt for 6.0.

* Fri Oct 08 1998 Michael Maher <mike@redhat.com>
- built package for 5.2 

* Tue May 26 1998 Michael Maher <mike@redhat.com>
- built package
